AJS.$(function() {

	JIRA.bind(JIRA.Events.NEW_CONTENT_ADDED, function(e, context, reason) {
		if (reason == "filterPanelOpened" || reason == "panelRefreshed") {
			AJS.log("jira content panel opened!");
			AJS.$('.testaide-result-plan-toggle-btn').hover(function () {
				AJS.$(this).find('span').show();
			}, function () {
				if (AJS.$(this).find('span').hasClass('aui-iconfont-expanded')){
					AJS.$(this).find('span').hide();
				}
			});

			AJS.$(".testaide-result-plan-toggle-btn").on("click", function(e){
				e.preventDefault();
				toggleDiv(AJS.$(this).find('span'));
			});
		}
	});
});

function toggleDiv(icon) {
	//<span class="aui-icon aui-icon-small ">Insert meaningful text here for accessibility</span>
	//<span class="aui-icon aui-icon-small "></span>
	const x = icon;
	if(icon.attr("disabled") !== "disabled"){
		if (x.hasClass('aui-iconfont-expanded')) {
			x.removeClass('aui-iconfont-expanded');
			x.addClass('aui-iconfont-collapsed');
			x.parent().parent().parent().find('.testaide-result-plan-body').hide();
		} else {
			x.removeClass('aui-iconfont-collapsed');
			x.addClass('aui-iconfont-expanded');
			x.parent().parent().parent().find('.testaide-result-plan-body').show();
		}
	}
	x.attr("disabled", true);
	setTimeout(function(){
		icon.removeAttr("disabled");
	}, 10);
}
